<?php

$r = "../";
$code=$_GET['code'];
$idrutero=$_GET['rutero'];
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);
if(isset($_GET['code'])) {
$row1 = $mysqli->query("SELECT * FROM z_pedido INNER JOIN z_pedidos ON z_pedido.codigopedido=z_pedidos.codigopedido WHERE  z_pedido.codigopedido='$code' AND z_pedidos.estado!='0'");
while($row2 = $row1->fetch_assoc()) {
    
    $codigo=$row2['codigopedido'];
    
    $abono=$row2['abono'];
    $fecha=$row2['fecha'];
    $idcliente=$row2['idcliente'];
    $adicional=$row2['adicional'];
    $rutero=$row2['idrutero'];
    $pago=$row2['pago'];
    
}
$linea="\n- - - - - - - - - - - - - - - - - - - - - - - - ";

$rute=srute($rutero);
$cliente=sclien($idcliente);
$nomcliente=$cliente['nombre'];
$nitcliente=$cliente['cedula'];
$dircliente=$cliente['direccion'];
$telcliente=$cliente['celular1'];
if($cliente['tipocliente']==1){$tipocliente="S";}
elseif($cliente['tipocliente']==2){$tipocliente="D";}
else{$tipocliente="O";}
$city=scity($cliente['municipio']);

 
//encabezado factura

$a="                TIQUETE DE SALIDA\n";
$a.="                     BOGOTA\n";
// decripcion del cliente y factura
$a.="\nTIQUETE DE SALIDA N°.: ";
$a.=$codigo;
$a.="\nFecha: ";
$a.=$fecha;
$a.="\nCliente: ";
$sunmobre=substr("$nomcliente", 0, 45);
$sunmobre2=substr("$nomcliente", 45, 30);
$a.=$sunmobre;
$a.=$sunmobre2;
$a.="\nDirección: ";
$a.=$dircliente;
$a.="\nCiudad: ";
$a.=$city['municipio'];
$a.="\nTeléfono: ";
$a.=$telcliente;
$a.="\nNIT y/o Cédula: ";
$a.=$nitcliente.' '.$tipocliente;
$a.="\nRutero: ";
$a.=$rute['nombre'];
//ENCABEZADO FACTURA
$a.=$linea;
$a.="\nNOMBRE PRODUCTO              UNDS    VALOR";
$a.="$linea";
/*$row1 = $mysqli->query("SELECT * FROM z_pedido INNER JOIN z_pedidos ON z_pedido.codigopedido=z_pedidos.codigopedido WHERE z_pedido.codigopedido='$code' AND z_pedidos.estado!='0'");
while($row2 = $row1->fetch_assoc()) {
    $idproducto=$row2['idproducto'];
    $cantidad=$row2['cantidad'];
    $bono=$row2['bono'];
    $bonos=$bonos+$bono;
    $precio=$row2['precio'];
    $producto=sprod($idproducto);
    $nomprod=$producto['producto'];
    $codprod=$producto['codigo'];
    $total=$precio*$cantidad;
    $totalitems=$totalitems+$cantidad;
    $subtotal=$subtotal+$total;
    $des=$row2['descuento'];
    $descu=($precio*$des)/100;
    $preciodes=$precio-$descu;
    $totaldes=$preciodes*$cantidad;
    $subtotaldes=$subtotaldes+$totaldes;
    $desc=$total-$totaldes;
    $descuen=$desc+$descuen;
    $nombresub=substr("$nomprod", 0, 20);
    // imprecion
       // $a.=substr("$codprod", 0, 5);
    $num=strlen($nombresub);
    $num=30-$num;
    $eps="";
    for($i=0;$num>=$i;$i++){
        $eps.=" ";
    }
    $a.="\n".$nombresub.$eps.$cantidad."   ";
    $a.='$ '.number_format($totaldes);
    if($bono>0){
        $a.="\n".substr("$codprod", 0, 5);
    $a.="\n".$nombresub." ";
    $a.="\nbono";
    $a.="\nBONO";}
    
    
}*/
$a.=$linea;
    $a.="\nSUB TOTAL :                         ";
    $a.='$ '.number_format($subtotal);
    $a.="\nADICIONALES:                        ";
    $a.='$ '.number_format($adicional);
    $a.="\nTOTAL A PAGAR:                      ";
    $a.='$ '.number_format($subtotaldes+$adicional);

    $a.=$linea;
  
$a.="\n           Favor verificar su cambio";
$a.="\n             Gracias por su pedido";
$a.="\n     No se admiten reclamaciones después de";
$a.="\n            entregado el producto";
$a.="\n      conservar este recibo para reclamos";
$a.="\n\n               EL TIEMPO LO ES TODO";
$a.=$linea;
}
if(isset($_GET['rutero'])) {
    $a="MI RUTA PARA";
    $row1 = $mysqli->query("SELECT * FROM z_pedidos WHERE estado='2' AND idrutero=$idrutero ORDER by codigopedido DESC");
     while($row2 = $row1->fetch_assoc()) {
        $cliente = sclien($row2["idcliente"]);
        $a.="\n Cliente: ".$cliente['nombre'];
        $a.="\n Cel    : ".$cliente['celular1'];
        $a.="\n Lugar  : ".$cliente['direccion'];
        $a.="\n Pedido : ".$row2["codigopedido"]; $codigopedido=$row2["codigopedido"]; 
        $row3 = $mysqli->query("SELECT * FROM z_pedido WHERE codigopedido=$codigopedido");
        while($row4 = $row3->fetch_assoc()) {
            $suma=$row4[cantidad]+$row4[bono];
            $idproducto=$row4[idproducto];
            $row5 = $mysqli->query("SELECT * FROM z_productos WHERE id=$idproducto");
            while($row6 = $row5->fetch_assoc()) {
                $a.="\n ".$row6[codigo].": ";
            }
            $a.=$suma;
        }
        $a.="\n- - - - - - - - - - - - - - - - - - - - - - - - ";
     }
    
}
//you can print text and image by sending request from your website
$b = array();
//sending text entry	
$obj1->type = 0;//text
$obj1->content = "$a";//any string
$obj1->size = 0;//0 if no, 1 if yes
$obj1->bold = 0;//0 if no, 1 if yes
$obj1->align =0;//0 if left, 1 if center, 2 if right
$obj1->format = 0;//0 if normal, 1 if double Height, 2 if double Height + Width, 3 if double Width
array_push($b,$obj1);
echo json_encode($b,JSON_FORCE_OBJECT);
//Note that same sequence will be used for printing data
?>
